SquishyCash Stats:
165,133Current Members
$346,681.31Paid Out Since 2007
You do not have any stats because you have either not logged in or have not registered yet.
or


Clicking on this ad will open up a new browser window.
Advertise Here


25% Cash Offers Earnings Bonus for Saturday! Sep 1, 2018
Saturday only:
25% Cash Offers Earnings Bonus!
September
1 only. Ends at 11:59pm EST.
This is a great bonus that can earn you tons of extra cash!
You will get a 25% bonus on top of all your cash offer earnings!
For example; you earn $20 doing offers and win an extra $5 on top! That's $25!
All winnings will be added to accounts at promotion end!
Quick Links: Free Offers | Surveys | Clicks | Trials | Shopping | Survey Wall
Click here to see current stats for this promotion!



Starts Saturday:
September Earnings Contest! 1st Wins $10! Top 5 Spots Win!
September 1-30. Ends at 11:59pm EST.
The top 5 members who make the most in cash offer earnings will win.
1st place wins $10 and the next 4 spots win a variety of cash prizes.
Winnings will be added to accounts instantly at contest end.
Quick Links: Free Offers | Surveys | Clicks | Trials | Shopping | Survey Wall
Click here to see current stats for this contest!


September Offers Completion Contest! 1st Wins $10! Top 5 Spots Win!
September 1-30. Ends at 11:59pm EST.
The top 5 members who have the most offers approved will win! 1st wins $10 and the next 4 spots win a variety of cash prizes.
Winnings from this contest will be added to accounts instantly at contest end.
Excludes Offer Walls, Survey Wall, & Clicks.
Quick Links: Free Offers | Surveys | Trials | Shopping
Click here to see current stats for this contest!

 
Comments
ashu1986 at Sep 18, 2018

Ganpati bappa morya
Fran33j at Sep 3, 2018

happy labor day to all.
Axalta24 at Sep 2, 2018

Wow....just WOW!
 
You must be logged in to post comments.




  

| 06:28 PM
Squishy Updates
satlnflame won 5 chips in Squishy Slots!
| 06:50 PM
Squishy Updates
buddles just picked a "$25 - PayPal Request - US PayPal accounts only" from the Prize Shop!
| 06:50 PM
Squishy Updates
buddles just picked a "$25 - Visa Gift Card" from the Prize Shop!
| 06:58 PM
Squishy Updates
omar587 won 2 chips in Squishy Slots!
| 07:15 PM
Squishy Updates
satlnflame won 5 chips in Squishy Slots!
| 08:06 PM
Squishy Updates
keycee just joined! Welcome to SquishyCash!
| 08:36 PM
Squishy Updates
buddles just picked a "$5 - Amazon eGift Card" from the Prize Shop!
| 09:06 PM
Squishy Updates
maryruth just joined! Welcome to SquishyCash!
| 09:14 PM
Squishy Updates
obed4444 just joined! Welcome to SquishyCash!
| 09:31 PM
Squishy Updates
Alerogarcia had a $0.75 offer approved!
| 09:31 PM
Squishy Updates
satlnflame had a $0.35 & 5 chips offer approved!
| 09:31 PM
Squishy Updates
satlnflame had a $0.35 & 5 chips offer approved!
| 09:31 PM
Squishy Updates
satlnflame had a $0.35 & 5 chips offer approved!
| 09:31 PM
Squishy Updates
satlnflame had a $0.35 & 5 chips offer approved!
| 09:32 PM
Squishy Updates
satlnflame won 1 NFL Game Pick in a contest!
| 09:32 PM
Squishy Updates
satlnflame won $2.0000 in a contest!
| 09:32 PM
Squishy Updates
satlnflame had a $0.40 & 5 chips offer approved!
| 09:33 PM
Squishy Updates
MDTerpFan had a $0.45 offer approved!
| 09:34 PM
Squishy Updates
MDTerpFan had a $0.60 offer approved!
| 10:53 PM
Squishy Updates
amoo2 just joined! Welcome to SquishyCash!
You must be logged in to post messages.
-11/20 Reach 10 Approved Offers, Win $2 on Tuesday!

-11/19 The 1-Day Survey Completion Contest for Monday!

-11/18 Earn $2, Win $1 on Sunday!

-11/17 The 1-Day Survey Completion Contest for Saturday!

-11/16 The 1-Day Cash Earnings Contest for Friday!

-11/15 The Survey Promotion and 1-Day Cash Earnings Contest for Thursday!

-11/14 Win 5 Chips for Every 50 Chips Earned on Wednesday!

-11/13 Do 3 Surveys, Win $0.50 on Tuesday!

-11/12 The 1-Day Chips Earnings Contest for Monday!

-11/11 Earn $1.25, Win $0.75 on Sunday!